be.ehealth.technicalconnector.service.sts.impl

## Class STSServiceImpl

- java.lang.Object
- - be.ehealth.technicalconnector.service.sts.impl.AbstractSTSService
  - - be.ehealth.technicalconnector.service.sts.impl.STSServiceImpl

- All Implemented Interfaces:
    STSService

      public class STSServiceImpl
      extends AbstractSTSService

  The eHealth-platform Secure Token Service provides a web service interface to request a SAML Assertion token using the Request Secure Token operation. The service provided via this technical connector allows the invocation of this operation based on specific input parameters. Based on these parameters, a signed SAML request is created and sent to the eHealth-platform service.

  Extends: `AbstractSTSService` => Implements : `STSService`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALWAYS_SIGN_INNER_REQUEST` Property to specify the specify if the inner request must be signed if the HeaderCredentials and BodyCredentials are the same.
    `static String` | `HOK_KEYINFO_TYPE` Property to specify the

    - ### Fields inherited from class be.ehealth.technicalconnector.service.sts.impl.AbstractSTSService

      `HOK_METHOD, SV_METHOD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STSServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `getToken(Credential headerCredentials, Credential bodyCredentials, List<SAMLAttribute> attributes, List<SAMLAttributeDesignator> designators, String subjectConfirmationMethod, Duration validity)`
    `Element` | `getToken(Credential headerCredentials, Credential bodyCredentials, List<SAMLAttribute> attributes, List<SAMLAttributeDesignator> designators, String authenticationMethod, String nameQualifier, String value, String subjectConfirmationMethod, Duration validity)`
    `Element` | `renewToken(Credential headerCredentials, Credential bodyCredentials, Element samlToken, Duration validity)`

    - ### Methods inherited from class be.ehealth.technicalconnector.service.sts.impl.AbstractSTSService

      `getToken, getToken, renewToken`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HOK_KEYINFO_TYPE

          public static final String HOK_KEYINFO_TYPE

      Property to specify the

      Possible values: publickey, x509

      Default: x509

      See Also:
        Constant Field Values

    - #### ALWAYS_SIGN_INNER_REQUEST

          public static final String ALWAYS_SIGN_INNER_REQUEST

      Property to specify the specify if the inner request must be signed if the HeaderCredentials and BodyCredentials are the same.

      Default: false

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### STSServiceImpl

          public STSServiceImpl()

  - ### Method Detail

    - #### getToken

          public Element getToken(Credential headerCredentials,
                                  Credential bodyCredentials,
                                  List<SAMLAttribute> attributes,
                                  List<SAMLAttributeDesignator> designators,
                                  String authenticationMethod,
                                  String nameQualifier,
                                  String value,
                                  String subjectConfirmationMethod,
                                  Duration validity)
                           throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### getToken

          public Element getToken(Credential headerCredentials,
                                  Credential bodyCredentials,
                                  List<SAMLAttribute> attributes,
                                  List<SAMLAttributeDesignator> designators,
                                  String subjectConfirmationMethod,
                                  Duration validity)
                           throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### renewToken

          public Element renewToken(Credential headerCredentials,
                                    Credential bodyCredentials,
                                    Element samlToken,
                                    Duration validity)
                             throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.